Subject: Re: bug#47097: eolie broken => unworking example from manual

From: Leo Prikler <[email-masked]>
Date: Wed, 24 Mar 2021 09:07:34 +0100

Am Mittwoch, den 24.03.2021, 04:14 +0100 schrieb zimoun:
> Hi,
> 
> On Thu, 18 Mar 2021 at 21:44, Ludovic Courtès <[email-masked]> wrote:
> > Leo Prikler <[email-masked]> skribis:
> > 
> > > This fixes errors observed directly at launch of Eolie inside
> > > pure
> > > environments.  (See <https://bugs.gnu.org/47097> for more
> > > information.)
> > > It is still not possible to launch Eolie inside a container,
> > > however.
> > > (See also <https://bugs.gnu.org/47106>;.)
> > > 
> > > * gnu/packages/gnome.scm (eolie)[inputs]: Add libhandy and
> > > gnome-settings-daemon.
> > 
> > LGTM, thanks!
> 
> I could have missed the commit, I guess this patch is not pushed.  It
> seems nice to have for the next release.  Since it fixes an example
> from
> the manual. :-)
Sorry to disappoint you, but it only fixes *some* errors, not all of
them.  I still haven't figured out how to meaningfully launch Eolie
inside a container, see <https://bugs.gnu.org/47106> detailing my
bubblewrap-related issues doing so.

Regards,
Leo